#!/usr/bin/python

##   Previews Reader
##   Copyright (C) 2004-2008 Mads Villadsen <maxximum@krakoa.dk>
    
##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation; either version 2 of the License, or
##   (at your option) any later version.
   
##   This program is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU General Public License for more details.
   
##   You should have received a copy of the GNU General Public License
##   along with this program; if not, write to the Free Software
##   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import os, sys

sys.path.append("/usr/local/share/previews-reader/")

import pr
from globals import *

try:
    import pygtk
    pygtk.require ("2.0")
    import gtk, gtk.glade, gnome, gnome.ui
except:
    print "pyGTK 2.0 not found."
    sys.exit(1)

gnome.init(program_name, program_version)

if (not(os.path.exists(basedir))):
    os.mkdir (basedir)
if (not(os.path.exists(previews_dir))):
    os.mkdir (previews_dir)

if __name__ == '__main__':
    app = pr.pr_mainwindow ()
    gtk.main ()
